Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractAjaxStatus

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractAjaxStatus

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIStatus

    public abstract class AbstractAjaxStatus

extends javax.faces.component.UIComponentBase

Author:
  Nick Belaevski

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractAjaxStatus()`

Method Summary
`abstract String` | `getErrorStyle()`
`abstract String` | `getErrorStyleClass()`
`abstract String` | `getErrorText()`
`abstract String` | `getName()`
`abstract String` | `getOnerror()`
`abstract String` | `getOnstart()`
`abstract String` | `getOnstop()`
`abstract String` | `getOnsuccess()`
`abstract String` | `getStartStyle()`
`abstract String` | `getStartStyleClass()`
`abstract String` | `getStartText()`
`abstract String` | `getStopStyle()`
`abstract String` | `getStopStyleClass()`
`abstract String` | `getStopText()`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractAjaxStatus

    public AbstractAjaxStatus()

Method Detail

### getOnstart

    public abstract String getOnstart()

### getOnstop

    public abstract String getOnstop()

### getOnerror

    public abstract String getOnerror()

### getOnsuccess

    public abstract String getOnsuccess()

### getName

    public abstract String getName()

### getStartText

    public abstract String getStartText()

### getStopText

    public abstract String getStopText()

### getErrorText

    public abstract String getErrorText()

### getStartStyle

    public abstract String getStartStyle()

### getStopStyle

    public abstract String getStopStyle()

### getErrorStyle

    public abstract String getErrorStyle()

### getStartStyleClass

    public abstract String getStartStyleClass()

### getStopStyleClass

    public abstract String getStopStyleClass()

### getErrorStyleClass

    public abstract String getErrorStyleClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.